# HG changeset patch
# User Alexey K <lepik.stv@gmail.com>
# Date 1444293775 -10800
#      Thu Oct 08 11:42:55 2015 +0300
# Node ID c64669694c074388a7bda66cd9dc62da802a2763
# Parent  23f115659f3646d8ba1a0c1f8d793a37625c0362
[KYD IP-620] Detect FAILED to issue #2907
Added method "match_model" as a driver without mistakenly matched to other radio

diff -r 23f115659f36 -r c64669694c07 chirp/drivers/kyd_IP620.py
--- a/chirp/drivers/kyd_IP620.py	Wed Oct 07 14:29:28 2015 -0700
+++ b/chirp/drivers/kyd_IP620.py	Thu Oct 08 11:42:55 2015 +0300
@@ -171,6 +171,11 @@
               ]
     _memsize = 0x2000
 
+    @classmethod
+    def match_model(cls, filedata, filename):
+        return len(filedata) == cls._memsize and \
+            filedata[0xF7E:0xF80] == "\x01\xE2"
+
     def _ip620_exit_programming_mode(self):
         try:
             self.pipe.write("\x06")
